import { CSSProperties, ReactNode } from "react";
type CheckboxProps = {
    name: string;
    disabled?: boolean;
    children?: ReactNode;
    label?: ReactNode;
    style?: CSSProperties;
    checkedStyle?: CSSProperties;
    disabledStyle?: CSSProperties;
    disabledCheckedStyle?: CSSProperties;
    onChange?: (value?: boolean) => void;
};
declare const Checkbox: {
    ({ name, disabled, children, label, style, checkedStyle, disabledStyle, disabledCheckedStyle, onChange, }: CheckboxProps): JSX.Element;
    Label: ({ children, style }: {
        children: ReactNode;
        style?: CSSProperties | undefined;
    }) => JSX.Element;
};
export default Checkbox;
