import { FormikValues } from "formik";
import { CSSProperties, InputHTMLAttributes } from "react";
type CheckIconProps = {
    style?: CSSProperties;
    checkedStyle?: CSSProperties;
    disabledStyle?: CSSProperties;
    disabledCheckedStyle?: CSSProperties;
    disabled?: boolean | ((values: FormikValues) => boolean);
} & Omit<InputHTMLAttributes<HTMLInputElement>, "size" | "type | 'style">;
declare const CheckIcon: ({ disabled, style, checkedStyle, disabledStyle, disabledCheckedStyle, value, ...props }: CheckIconProps) => JSX.Element;
export default CheckIcon;
